/*!
 * Jasper - Master
 * Copyright 2024 Punchmark
 */

/* ======================
   Global
====================== */

body {
    background-color: var(--bs-primary) !important;
}


/* ======================
   Typography
====================== */

h1, .h1, 
h2, .h2, 
h3, .h3, 
h4, .h4, 
h5, .h5, 
h6, .h6 {
    font-family: var(--bs-h1-family) !important;
    font-weight: 600 !important;
    text-transform: uppercase !important;
}

.display-1,
.display-2,
.display-3,
.display-4 {
    font-weight: 600 !important;
    text-transform: uppercase !important;
}

[data-widget-element="widgetHeader"] {
    line-height: 1 !important;
}

[data-widget-element="widgetHeader"] > small {
    display: block !important;
    font-family: var(--bs-p-family) !important;
    font-weight: 400 !important;
    font-size: 0.875rem !important;
    letter-spacing: 0.05rem !important;
    text-transform: none !important;
    margin: 0.625rem auto !important;
}

[data-widget-element="widgetParagraph"] {
    line-height: 2rem !important;
}

.bg-contained {
    background-size: contain !important;
}

/* ======================
   Buttons
====================== */

#page-wrap .btn:not(.btn-link) {
    border-radius: 50px !important;    
    letter-spacing: 0.1rem !important;    
    border-color: currentColor;
    transition: all 100ms cubic-bezier(0.25, 0.46, 0.45, 0.94) 0ms;
    box-shadow: 3px 3px currentColor;
    transform: translate(-3px, -3px) !important;
}
#page-wrap .btn:not(.btn-link).btn-lg,
#page-wrap .btn:not(.btn-link).btn-xlg {
    align-items: flex-end !important;
    box-shadow: 5px 5px currentColor;
    transform: translate(-3px, -3px) !important;
}
#page-wrap .dropdown-menu .btn:not(.btn-link),
#universal-cart-list .btn:not(.btn-link) {
    transform: translate(0, -2px) !important;
}
#page-wrap .btn:not(.btn-link):hover,
#page-wrap .dropdown-menu .btn:not(.btn-link):hover,
#universal-cart-list .btn:not(.btn-link):hover {
    transition: all 100ms cubic-bezier(0.25, 0.46, 0.45, 0.94) 100ms;
    box-shadow: 0px 0px currentColor;
    transform: translate(0, 0) !important;    
}
#page-wrap .btn:not(.btn-link):focus,
#page-wrap .btn:not(.btn-link):focus-visible,
#page-wrap .dropdown-menu .btn:not(.btn-link):focus,
#page-wrap .dropdown-menu .btn:not(.btn-link):focus-visible,
#universal-cart-list .btn:not(.btn-link):focus,
#universal-cart-list .btn:not(.btn-link):focus-visible {
    box-shadow: 0px 0px currentColor;
    transform: translate(0, 0) !important;
    transition: all 100ms cubic-bezier(0.25, 0.46, 0.45, 0.94) 0ms;
}
#page-wrap .btn-link:after {
    height: 2px !important;
}
#page-wrap .btn-link.btn-plain:after {
    display: none !important;
}
#page-wrap .btn-primary:not(.btn-link) {
    box-shadow: 3px 3px rgba(var(--bs-primary-rgb),0.2) !important;
    border-color: rgba(var(--bs-primary-rgb),0.2) !important;
}
#page-wrap .btn-primary:not(.btn-link).btn-lg,
#page-wrap .btn-primary:not(.btn-link).btn-xlg {
    box-shadow: 5px 5px rgba(var(--bs-primary-rgb),0.2) !important;
}
#page-wrap .btn-secondary:not(.btn-link) {
    box-shadow: 3px 3px rgba(var(--bs-secondary-rgb),0.2) !important;
    border-color: rgba(var(--bs-secondary-rgb),0.2) !important;
}
#page-wrap .btn-secondary:not(.btn-link).btn-lg,
#page-wrap .btn-secondary:not(.btn-link).btn-xlg {
    box-shadow: 5px 5px rgba(var(--bs-secondary-rgb),0.2) !important;
    border-color: rgba(var(--bs-secondary-rgb),0.2) !important;
}
#page-wrap .btn-dark:not(.btn-link) {
    box-shadow: 3px 3px rgba(var(--bs-dark-rgb),0.2) !important;
    border-color: rgba(var(--bs-dark-rgb),0.2) !important;
}
#page-wrap .btn-dark:not(.btn-link).btn-lg,
#page-wrap .btn-dark:not(.btn-link).btn-xlg {
    box-shadow: 5px 5px rgba(var(--bs-dark-rgb),0.2) !important;
    border-color: rgba(var(--bs-dark-rgb),0.2) !important;
}
#page-wrap .btn-light:not(.btn-link) {
    box-shadow: 3px 3px rgba(var(--bs-light-rgb),0.2) !important;
    border-color: rgba(var(--bs-light-rgb),0.2) !important;
}
#page-wrap .btn-light:not(.btn-link).btn-lg,
#page-wrap .btn-light:not(.btn-link).btn-xlg {
    box-shadow: 5px 5px rgba(var(--bs-light-rgb),0.2) !important;
    border-color: rgba(var(--bs-light-rgb),0.2) !important;
}
#page-wrap .btn-default:not(.btn-link) {
    box-shadow: 3px 3px rgba(var(--bs-default-rgb),0.2) !important;
    border-color: rgba(var(--bs-default-rgb),0.2) !important;
}
#page-wrap .btn-default:not(.btn-link).btn-lg,
#page-wrap .btn-default:not(.btn-link).btn-xlg {
    box-shadow: 5px 5px rgba(var(--bs-default-rgb),0.2) !important;
    border-color: rgba(var(--bs-default-rgb),0.2) !important;
}
#page-wrap .btn-primary:not(.btn-link):hover,
#page-wrap .btn-primary:not(.btn-link):focus-visible, 
#page-wrap .btn-primary:not(.btn-link):focus {
    box-shadow: 0px 0px rgba(var(--bs-primary-rgb),0.2) !important;
    border-color: rgba(var(--bs-primary-rgb),0.2) !important;
}
#page-wrap .btn-secondary:not(.btn-link):hover,
#page-wrap .btn-secondary:not(.btn-link):focus-visible,
#page-wrap .btn-secondary:not(.btn-link):focus {
    box-shadow: 0px 0px rgba(var(--bs-secondary-rgb),0.2) !important;
    border-color: rgba(var(--bs-secondary-rgb),0.2) !important;
}
#page-wrap .btn-dark:not(.btn-link):hover,
#page-wrap .btn-dark:not(.btn-link):focus-visible,
#page-wrap .btn-dark:not(.btn-link):focus {
    box-shadow: 0px 0px rgba(var(--bs-dark-rgb),0.2) !important;
    border-color: rgba(var(--bs-dark-rgb),0.2) !important;
}
#page-wrap .btn-light:not(.btn-link):hover,
#page-wrap .btn-light:not(.btn-link):focus-visible,
#page-wrap .btn-light:not(.btn-link):focus {
    box-shadow: 0px 0px rgba(var(--bs-light-rgb),0.2) !important;
    border-color: rgba(var(--bs-light-rgb),0.2) !important;
}
#page-wrap .btn-default:not(.btn-link):hover,
#page-wrap .btn-default:not(.btn-link):focus-visible,
#page-wrap .btn-default:not(.btn-link):focus {
    box-shadow: 0px 0px rgba(var(--bs-default-rgb),0.2) !important;
    border-color: rgba(var(--bs-default-rgb),0.2) !important;
}
#page-wrap .btn-primary:not(.btn-link) {
    background: var(--bs-primary) !important;
}
#page-wrap .btn-secondary:not(.btn-link) {
    background: var(--bs-secondary) !important;
}
#page-wrap .btn-dark:not(.btn-link) {
    background: var(--bs-dark) !important;
}
#page-wrap .btn-light:not(.btn-link) {
    background: var(--bs-light) !important;
}
#page-wrap .btn-default:not(.btn-link) {
    background: var(--bs-input-bg-color);
}
#page-wrap .btn-outline-primary:not(.btn-link),
#page-wrap .btn-outline-primary:not(.btn-link):focus-visible,
#page-wrap .btn-outline-primary:not(.btn-link):focus,
#page-wrap .btn-outline-secondary:not(.btn-link),
#page-wrap .btn-outline-secondary:not(.btn-link):focus-visible,
#page-wrap .btn-outline-secondary:not(.btn-link):focus,
#page-wrap .btn-outline-dark:not(.btn-link),
#page-wrap .btn-outline-dark:not(.btn-link):focus-visible,
#page-wrap .btn-outline-dark:not(.btn-link):focus,
#page-wrap .btn-outline-light:not(.btn-link),
#page-wrap .btn-outline-light:not(.btn-link):focus-visible,
#page-wrap .btn-outline-light:not(.btn-link):focus,
#page-wrap .btn-outline-default:not(.btn-link),
#page-wrap .btn-outline-default:not(.btn-link):focus-visible,
#page-wrap .btn-outline-default:not(.btn-link):focus {   
    background: transparent !important;
}
#page-wrap .btn-outline-primary:not(.btn-link),
#page-wrap .btn-outline-primary:not(.btn-link):focus-visible,
#page-wrap .btn-outline-primary:not(.btn-link):focus {
    color: var(--bs-primary) !important;
    border-color: var(--bs-primary) !important;
}
#page-wrap .btn-outline-secondary:not(.btn-link),
#page-wrap .btn-outline-secondary:not(.btn-link):focus-visible,
#page-wrap .btn-outline-secondary:not(.btn-link):focus {
    color: var(--bs-secondary) !important;
    border-color: var(--bs-secondary) !important;
}
#page-wrap .btn-outline-dark:not(.btn-link),
#page-wrap .btn-outline-dark:not(.btn-link):focus-visible,
#page-wrap .btn-outline-dark:not(.btn-link):focus {
    color: var(--bs-dark) !important;
    border-color: var(--bs-dark) !important;
}
#page-wrap .btn-outline-light:not(.btn-link),
#page-wrap .btn-outline-light:not(.btn-link):focus-visible,
#page-wrap .btn-outline-light:not(.btn-link):focus {
    color: var(--bs-light) !important;
    border-color: var(--bs-light) !important;
}
#page-wrap .btn-outline-default:not(.btn-link),
#page-wrap .btn-outline-default:not(.btn-link):focus-visible,
#page-wrap .btn-outline-default:not(.btn-link):focus {
    color: var(--bs-input-border-color) !important;
    border-color: var(--bs-input-border-color) !important;
}


/* ======================
   Forms
====================== */

.form-control,
.input-group .btn-default:not(.btn-link),
.phone-number-input .phone .btn-default:not(.btn-link),
.phone-number-input .phone .form-label-group .form-control,
.phone-number-input .phone .form-label-group .form-control.input-xs,
.phone-number-input .phone .form-label-group .form-control.input-sm,
.phone-number-input .phone .form-label-group .form-control.input-md,
.phone-number-input .phone .form-label-group .form-control.input-lg {
    border-radius: 0 !important; 
    box-shadow: none !important;
    transform: none !important;
    align-items: center !important;
}


/* ==================
   Global Alerts
================== */

.alert-global {
    background: rgba(240,225,185,0.0875) !important;
    color: rgba(255,255,255,1) !important;
    font-size: 12px !important;
    font-weight: 400 !important;
    letter-spacing: 0.075rem !important;
}


/* ==================
   Toolbar
================== */

.toolbar.top {
    display: none !important;
}

.toolbar.top .toolbar-item i + span {
    margin-left: 8px !important;
}


/* ==================
   Header
================== */

header {
    box-shadow: inset 0 0 0 rgba(var(--bs-secondary-rgb),0) !important;
    transition: box-shadow 0.3s cubic-bezier(0.25, 0.46, 0.45, 0.94) 300ms !important;
}

header:hover {
    box-shadow: inset 0 0 100px 40px rgba(var(--bs-secondary-rgb),0.98) !important;
    transition: box-shadow 0.3s cubic-bezier(0.25, 0.46, 0.45, 0.94) 400ms !important;
}

header .main-content > .row > .col {
    height: auto !important;
    min-height: 70px !important;
}

header a#logo {
    padding-top: 0.625rem !important;
    padding-bottom: 0.625rem !important;
}

header .content-toolbar .content-toolbar-inner > ul > li > a {
    color: var(--bs-light) !important;
    opacity: 1;
    transition: opacity 0.15s linear;
}

header .content-toolbar .content-toolbar-inner > ul > li > a:hover, 
header .content-toolbar .content-toolbar-inner > ul > li > a:focus {
    color: var(--bs-light) !important;
    opacity: 0.75;
}

header .content-toolbar .content-toolbar-inner > ul > li > a:hover > i, 
header .content-toolbar .content-toolbar-inner > ul > li > a:focus > i {
    color: var(--bs-light) !important;
}

@media (min-width: 992px) {
    header .main-content > .row > .col {
        min-height: 100px !important;
    }
    header a#logo {
        padding-top: 1.25rem !important;
        padding-bottom: 1.25rem !important;
        min-width: 230px !important;
    }
}

@media (max-width: 768px) {
    header a#logo {
        width: auto !important;
    }
}

nav.navbar .navbar-nav .nav-item.dropdown .dropdown-menu .form-label-group > label {
    background: none !important;
}

nav.navbar .navbar-nav .nav-item.dropdown .dropdown-menu .form-label-group input:not(:placeholder-shown)~label::before, 
nav.navbar .navbar-nav .nav-item.dropdown .dropdown-menu .form-label-group textarea:not(:placeholder-shown)~label::before {
    background: var(--bs-section-default-bg) !important;
}

nav.navbar .mobile-top-toolbar .dropdown-menu .form-label-group > label,
nav.navbar .mobile-top-toolbar .dropdown-menu .form-label-group input:not([type=file]):not(:placeholder-shown)~label::before {
    background: var(--bs-light) !important;
}

/* ==================
   Mobile Navigation
================== */

@media (max-width: 991px) {
    nav.navbar #main-navigation {
        background: var(--bs-light) !important;
    }
    nav.navbar #main-navigation .mobile-top {
        display: flex !important;
        flex-flow: column wrap !important;
        border-top: 22px solid var(--bs-primary) !important;
    }
    nav.navbar #main-navigation .mobile-bottom {
        display: none !important;
    }
    nav.navbar .navbar-nav .nav-item .nav-link {
        padding-top: 8px !important;
        padding-bottom: 8px !important;
        color: var(--bs-dark) !important;
        line-height: 1 !important;
        box-shadow: none !important;
        text-transform: uppercase !important;
        font-family: var(--bs-h3-family) !important;
        font-weight: 700 !important;
        font-size: 28px !important;
        letter-spacing: normal !important;
    }
    nav.navbar .navbar-nav .nav-item .nav-link:hover, 
    nav.navbar .navbar-nav .nav-item .nav-link:focus, 
    nav.navbar .navbar-nav .nav-item .nav-link:active {
        color: var(--bs-primary) !important;
    }
    nav.navbar .navbar-nav .nav-item.dropdown .dropdown-menu {
        padding-bottom: 17px !important;
    }
    nav.navbar .navbar-nav .nav-item.dropdown .dropdown-menu .dropdown-menu {
        padding-bottom: 0 !important;
    }
    nav.navbar .navbar-nav .nav-item.dropdown .dropdown-menu .dropdown-item {
        font-weight: 500 !important;
    }
    nav.navbar .navbar-nav .nav-item.dropdown .dropdown-item, 
    nav.navbar .navbar-nav .nav-item.dropdown .dropdown-submenu, 
    nav.navbar .navbar-nav .nav-item.dropdown .mobile-dropdown,
    nav.navbar .navbar-nav .nav-item.dropdown .dropdown-submenu .dropdown-menu .dropdown-item {
        border-color: transparent !important;
    }
    nav.navbar .navbar-nav .nav-item.dropdown .dropdown-menu .dropdown-menu-children .dropdown-item {
        padding-left: 40px !important;
    }
    nav.navbar .navbar-nav .nav-item > .nav-link-and-plus-wrap,
    nav.navbar .navbar-nav .nav-item .dropdown-menu .dropdown.dropdown-submenu > .nav-link-and-plus-wrap,
    nav.navbar .navbar-nav .nav-item .dropdown-menu .dropdown.dropdown-submenu > .nav-link-and-plus-wrap > .dropdown-plus,
    nav.navbar .navbar-nav .nav-item .dropdown-menu .dropdown.dropdown-submenu > .nav-link-and-plus-wrap > .dropdown-plus > i.icon-plus { 
        align-items: center !important;
    }
    nav.navbar .navbar-nav .nav-item > .nav-link-and-plus-wrap .dropdown-plus,
    nav.navbar .navbar-nav .nav-item.show > .nav-link-and-plus-wrap .dropdown-plus,
    nav.navbar .navbar-nav .nav-item .dropdown-menu .dropdown.dropdown-submenu > .nav-link-and-plus-wrap > .dropdown-plus,
    nav.navbar .navbar-nav .nav-item .dropdown-menu .dropdown.dropdown-submenu.show > .nav-link-and-plus-wrap > .dropdown-plus {
        height: 30px !important;
        width: 40px !important;
        padding-bottom: 4px !important;
        display: flex !important;
        justify-content: flex-start !important;
        align-items: flex-end !important;
    }
    nav.navbar .navbar-nav .nav-item.dropdown .dropdown-menu .dropdown-plus > i::before,
    nav.navbar .navbar-nav > .nav-item.has-a-plus > .nav-link-and-plus-wrap > .dropdown-plus > i.icon-plus::before,
    nav.navbar .navbar-nav .nav-item.dropdown .dropdown-menu .dropdown-submenu.show .nav-link-and-plus-wrap .dropdown-plus > i::before {
        content: "\e909" !important;
        height: 18px !important;
        width: 18px !important;
        transition: all 0.3s ease-in-out !important;
        transform-origin: center !important;
    }    
    nav.navbar .navbar-nav .nav-item > .nav-link-and-plus-wrap .dropdown-plus > i, 
    nav.navbar .navbar-nav .nav-item.show > .nav-link-and-plus-wrap .dropdown-plus > i,
    nav.navbar .navbar-nav .nav-item.dropdown .dropdown-menu .dropdown-plus > i,
    nav.navbar .navbar-nav .nav-item.dropdown .dropdown-menu .dropdown-submenu.show .nav-link-and-plus-wrap .dropdown-plus > i {
        align-items: flex-end !important;
        height: 18px !important;
        width: 18px !important;
        transform-origin: center !important;
    }
    nav.navbar .navbar-nav > .nav-item.has-a-plus > .nav-link-and-plus-wrap > .dropdown-plus > i.icon-plus::before,
    nav.navbar .navbar-nav > .nav-item.has-a-plus > .dropdown-menu .dropdown.dropdown-submenu > .nav-link-and-plus-wrap > .dropdown-plus > i.icon-plus::before {
        font-size: 40px !important;
        color: var(--bs-input-border-color) !important;
        -webkit-text-stroke-width: 2px !important;
        -webkit-text-stroke-color: var(--bs-light) !important;
    }
    nav.navbar .navbar-nav > .nav-item.has-a-plus.show > .nav-link-and-plus-wrap > .dropdown-plus > i.icon-plus {
        transform: scale(1) rotate(-180deg) !important;
        transform-origin: center !important;
    }
    nav.navbar .navbar-nav > .nav-item.has-a-plus > .dropdown-menu .dropdown.dropdown-submenu.show > .nav-link-and-plus-wrap > .dropdown-plus > i.icon-plus {
        transform: scale(0.75) rotate(-180deg) !important;
        transform-origin: center !important;
    }
    /*tools*/
    nav.navbar #main-navigation .mobile-top .mobile-top-search {
        background: white !important; 
        border-color: var(--bs-input-border-color) !important;
    }
    nav.navbar #main-navigation .mobile-top .input-group .btn {
        background: none !important;
        border: none !important;
        transform: none !important;
        box-shadow: none !important;
    }
    nav.navbar #main-navigation .mobile-top .input-group {
        background: #ffffff !important;
    }
    nav.navbar #main-navigation .mobile-top-toolbar {
        margin-top: auto !important;
        background: var(--bs-input-bg-color) !important;
        border-top: 1px solid var(--bs-input-border-color) !important;
    }
    nav.navbar #main-navigation .mobile-top-toolbar a {
        line-height: 1 !important;
        box-shadow: none !important;
        text-transform: uppercase !important;
        font-size: 15px !important;
        letter-spacing: 0.125rem !important;
    }
    nav.navbar #main-navigation .mobile-top-toolbar .toolbar-item {
        padding: calc(0.625rem * 0.125) calc(0.625rem * 1.0) calc(0.625rem * 0.125) calc(0.625rem * 1.5);
    }
    nav.navbar #main-navigation .mobile-top-toolbar .toolbar-item .dropdown-menu a {
        text-transform: none !important;
        font-size: 0.9rem !important;
        font-weight: 500 !important;
        letter-spacing: 0.05rem !important;
    }
    nav.navbar #main-navigation .mobile-top-toolbar .toolbar-item > a {
        justify-content: flex-start !important;
    }
    nav.navbar #main-navigation .mobile-top-toolbar .toolbar-item > a > i {
        display: inline-flex !important;
        align-items: center !important;
        justify-content: center !important;
        aspect-ratio: 1 / 1 !important;
        outline: 1px solid currentColor !important;
        border-radius: 20px !important;
        padding: 1px !important;
        margin-top: -1px !important;
    }
    nav.navbar #main-navigation .mobile-top-toolbar .toolbar-item > a > i::before {
        transform: translateX(1px) !important;
    }
    nav.navbar #main-navigation .mobile-top-toolbar .toolbar-item > a > i + span {
        display: inline !important;
        margin-left: 12px !important;
        font-weight: 500 !important;
    }    
    body.sitemanager-menu-open nav.navbar #main-navigation .mobile-top-toolbar,
    body.sitemanager-menu-closed nav.navbar #main-navigation .mobile-top-toolbar {
        padding-top: 20px !important;
        padding-bottom: 20px !important;
        border-color: rgba(0,0,0,0.1) !important;
    }    
    nav.navbar #main-navigation .mobile-top-toolbar .toolbar-item > a,
    nav.navbar #main-navigation .mobile-top-toolbar .toolbar-item > a.dropdown-toggle {
        padding-top: 14px !important;
        padding-bottom: 14px !important;
        padding-left: 10px !important;
    }
    nav.navbar #main-navigation .mobile-top-toolbar .toolbar-item .dropdown-menu {
        background: var(--bs-light) !important;
    }
    nav.navbar #main-navigation .mobile-top-toolbar .toolbar-item .dropdown-menu .dropdown-item {
        letter-spacing: normal !important;
    }
    nav.navbar #main-navigation .mobile-top-toolbar .toolbar-item > a.dropdown-toggle::after {
        font-family: var(--bs-icon-font) !important;
        font-size: 20px !important;
        content: "\e909" !important;
        transform: rotate(0deg) scale(1.0) !important;
        margin-left: auto !important;
        margin-right: 8px !important;
        -webkit-text-stroke-width: 1px !important;
        -webkit-text-stroke-color: var(--bs-input-bg-color) !important;
    }
    nav.navbar #main-navigation .mobile-top-toolbar .toolbar-item.dropdown.show .dropdown-toggle::after, 
    nav.navbar #main-navigation .mobile-top-toolbar .toolbar-item.dropdown.menu-open .dropdown-toggle::after {
        transform: rotate(-180deg) scale(1.0) !important;
    }
}

@media (max-width:575px) {    
    nav.navbar #main-navigation {
        width: calc(100% - 70px) !important;
        transform: translateX(-100%) !important
    }
    html body #page-wrap {
        transform: translateX(0px) !important;
        transition: 300ms ease-in-out 100ms !important
    }
    html body.nav-left-back-open #page-wrap,
    html body.nav-left-back-open.grid-menu-open #page-wrap {
        transform: translateX(calc(100% - 70px)) !important
    }
}


/* ==================
   Desktop Navigation
================== */

@media (min-width: 992px) {
    nav.navbar .navbar-nav .nav-item .nav-link {
        font-weight: 600 !important;
        font-family: var(--bs-h3-family) !important;
        letter-spacing: 0.075rem !important;
        text-transform: uppercase !important;
        color: var(--light) !important;
        opacity: 1 !important;
        transition: opacity 0.15s linear !important;
    }
    nav.navbar .navbar-nav .nav-item .nav-link:hover, 
    nav.navbar .navbar-nav .nav-item .nav-link:focus {
        color: var(--light) !important;
        opacity: 0.75 !important;
    }
    nav.navbar .navbar-nav .nav-item.dropdown .dropdown-menu.dropdown-menu-wide .dropdown-item.dropdown-item-parent {
        font-weight: 600 !important;
        font-family: var(--bs-h3-family) !important;
        font-size: 1.4rem !important;
        letter-spacing: normal !important;
        text-transform: uppercase !important;
    }
}


/* ==================
   Footer
================== */

footer {
    background: var(--primary) !important;
    padding-top: 20px !important;
}

footer h6,
footer .h6 {
    font-size: 22px !important;
    font-weight: 600 !important;
    line-height: 1 !important;
    letter-spacing: 0.05rem !important;
}

footer .footerlinks li > a {
    display: inline-flex !important;
    align-items: flex-start !important;
    margin: 6px 0 !important;
    color: var(--light) !important;
    text-transform: none !important;
    opacity: 0.6 !important;
}

footer .footerlinks > li > a:hover,
footer .footerlinks > li > a:focus {
    color: var(--light) !important;
    text-decoration: none !important;
    opacity: 1 !important;
}

footer .footerlinks > li > a > i {
    margin-top: 0.2rem !important;
    margin-right: 8px !important;
}

footer [data-bs-toggle="collapse"] {
    pointer-events: none;
}

footer [data-bs-toggle="collapse"] h6, 
footer [data-bs-toggle="collapse"] .h6 {
    justify-content: flex-start !important;
    background: var(--primary) !important;
    position: relative !important;
}

footer > .container {
    margin-top: 20px !important;
    max-width: calc(100% + 2.5rem) !important;
    width: calc(100% + 2.5rem) !important;
    padding: 18px var(--bs-container-padding-x);
    margin-left: -1.25rem !important;
    margin-right: -1.25rem !important;
    padding-bottom: 0 !important;
    padding-top: 0 !important;
}

footer > .container p.copyrights {
    margin-bottom: 0 !important;
    background: rgba(240,225,185,0.0875) !important;
    padding: 20px !important;
}

footer form[action="/newsletter-subscription"] {
    margin-top: 40px;
}

footer form[action="/newsletter-subscription"] .input-group {
    flex-wrap: wrap !important;
    justify-content: flex-end !important;
}

footer form[action="/newsletter-subscription"] .input-group > input.form-control {
    flex: 0 100% !important;
    max-width: 100% !important;
    width: 100% !important;
    border-color: rgba(255,255,255,0.1) !important;
    border-top: 0 !important;
    border-left: 0 !important;
    border-right: 0 !important;
    padding: 0.375rem 0.75rem !important;
    background: var(--bs-primary) !important;
    color: var(--light) !important;
}

footer form[action="/newsletter-subscription"] .input-group > input.form-control::placeholder {
    color: var(--light) !important;
    opacity: 0.5 !important;
}

footer form[action="/newsletter-subscription"] .input-group > .input-group-btn {
    margin-top: 20px;
}

footer form[action="/newsletter-subscription"] .input-group > .input-group-btn > .btn::after {
    content: 'SIGN UP' !important;
    font-family: var(--bs-p-font-family) !important;
}

footer form[action="/newsletter-subscription"] .input-group > .input-group-btn > .btn i.icon-email:before {
    display: none !important;
}

footer .social-networks {
    margin-top: 60px !important;
}
footer .social-networks .network {
    margin-right: 1rem !important;
    margin-bottom: 1rem !important;
}
footer .social-networks .network a, 
footer .social-networks .network i {
    color: var(--light) !important;
    opacity: 1;
    transition: opacity 0.15s linear;
}
footer .social-networks .network:hover, 
footer .social-networks .network:focus, 
footer .social-networks .network:hover i, 
footer .social-networks .network:focus i {
    color: var(--light) !important;
}
footer .social-networks .network:hover i, 
footer .social-networks .network:focus i {
    opacity: 0.75 !important;
}

/* Missing clock / Search icon override... (needs a valid value) */
footer .footerlinks > li > a > i.icon-search::before {
    color: transparent !important;
    background: url('data:image/svg+xml;base64,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') no-repeat center center / 85% !important;
    filter: invert(1) !important;
}

@media(max-width: 767px) {
    footer .col-12 > h6,
    footer .col-12 > .h6 {
        padding-left: 1.25rem !important;
    }

    footer [data-bs-toggle="collapse"] {
        pointer-events: auto;
    }
    footer [data-bs-toggle="collapse"] h6::after, 
    footer [data-bs-toggle="collapse"] .h6::after {
        content: var(--bs-icon-asc) !important;
        font-family: var(--bs-icon-font-title) !important;
        margin-left: auto !important;
        height: 25px !important;
        width: 25px !important;
        font-size: 24px !important;
        transform: rotate(180deg) !important;
        display: flex !important;
        align-items: center !important;
        justify-content: center !important;
        box-shadow: none !important;
        text-shadow: none !important;    
        z-index: 1 !important;
        color: var(--bs-light) !important;
    }
    footer [data-bs-toggle="collapse"] h6::before, 
    footer [data-bs-toggle="collapse"] .h6::before {
        position: absolute !important;
        top: 18px !important;
        right: 0px !important;
        content: var(--bs-icon-asc) !important;
        font-family: var(--bs-icon-font-title) !important;
        margin-left: auto !important;
        height: 25px !important;
        width: 25px !important;
        font-size: 24px !important;
        transform: rotate(180deg) !important;
        display: flex !important;
        align-items: center !important;
        justify-content: center !important;
        box-shadow: none !important;
        text-shadow: none !important;
        z-index: 2 !important;
        color: var(--bs-primary) !important;
    }
    footer [data-bs-toggle="collapse"][aria-expanded="true"] h6::after, 
    footer [data-bs-toggle="collapse"][aria-expanded="true"] .h6::after {
        content: var(--bs-icon-desc) !important;    
    }
    footer [data-bs-toggle="collapse"][aria-expanded="true"] h6::before,
    footer [data-bs-toggle="collapse"][aria-expanded="true"] .h6::before {
        content: var(--bs-icon-desc) !important;
        top: 22px !important;
    }
    footer,
    footer > .container,
    footer > .footer-section,
    footer > .footer-section > .container,
    footer > .footer-section > .container .row,
    footer > .footer-section > .container [class*="col-"] {
        padding: 0 !important;
        margin: 0 !important;
        width: 100% !important;
        max-width: 100% !important;
    }
    footer [data-bs-toggle="collapse"] h6,
    footer [data-bs-toggle="collapse"] .h6 {
        padding: 1.25rem 0 !important;
    }
    footer [data-bs-toggle="collapse"] h6::after, 
    footer [data-bs-toggle="collapse"] .h6::after {
        font-size: 16px;
    }    
    footer [data-bs-toggle="collapse"],
    footer [data-bs-toggle="collapse"] + .collapse,
    footer [data-bs-toggle="collapse"] + .collapsing,
    footer > .footer-section > .container [class*="col-"] > h6,
    footer > .footer-section > .container [class*="col-"] > p,
    footer > .footer-section > .container [class*="col-"] > div > form[action="/newsletter-subscription"],
    footer > .footer-section > .container [class*="col-"] > div > .social-networks {
        padding-left: 1.25rem !important;
        padding-right: 1.25rem !important;
    }
    footer > .footer-section > .container [class*="col-"] > h6 {
        margin-top: 0 !important;
        margin-bottom: 0 !important;
        padding-top: 1.25rem !important;
        border-top: 1px solid rgba(255, 255, 255, 0.1) !important;
    }
    footer > .footer-section > .container [class*="col-"] > p,
    footer form[action="/newsletter-subscription"] {
        margin-top: 1.05rem !important;
        margin-bottom: 1.25rem !important;
    }
    footer > .footer-section > .container [class*="col-"] > div > .social-networks {
        text-align: center !important;
        width: 100% !important;
        margin: 2.5rem auto 0.625rem auto !important;
        justify-content: center !important;
    }
    footer > .footer-section > .container [class*="col-"] > div > .social-networks .network,
    footer > .footer-section > .container [class*="col-"] > div > .social-networks .network:last-child {
        margin-left: 0.5rem !important;
        margin-right: 0.5rem !important;
        margin-bottom: 0.5rem !important;
    }
    footer > .footer-section > .container [class*="col-"] > div > form[action="/newsletter-subscription"] .input-group {
        justify-content: flex-start !important;
    }
    footer > .footer-section > .container [class*="col-"] > div > form[action="/newsletter-subscription"] .input-group > .input-group-btn {
        margin-top: 1.25rem !important;
    }
}


/* ==================
   Jasper Banners
================== */

section[data-pagebuilder="section"]#section-1.jasper-banners {
    margin-top: -70px !important;
}

@media (min-width: 992px) {
    section[data-pagebuilder="section"]#section-1.jasper-banners {
        margin-top: -100px !important;
    }
}


/* =================================
   Store Services Widget
================================= */

.widget-store-services {
    position: relative !important;
    border: 0px !important;
    border-top: 1px solid rgba(255,255,255,0.1) !important;
    margin-top: 60px !important;
    margin-bottom: 0 !important;
    padding-top: 60px !important;
    padding-bottom: 0 !important;
    max-width: 100% !important;
}

.widget-store-services,
.widget-store-services .row,
.widget-store-services .col-12,
.widget-store-services .service-block,
.widget-store-services .service-block .service-title,
.widget-store-services .service-block .service-description {
    color: inherit;
}

.widget-store-services .col-12 {
    width: 100% !important;
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}

.widget-store-services .service-block {
    display: block !important;
    padding-top: 0.5rem !important;
    padding-bottom: 0.5rem !important;
    padding-left: 1.25rem !important;
    padding-right: 1.25rem !important;
}

.widget-store-services .service-description {
    display: none !important;
}

.widget-store-services .service-block .service-title {
    transition: opacity 0.15s linear !important;
    opacity: 1 !important;
    font-size: 22px !important;
    font-family: var(--bs-h2-family) !important;    
    font-weight: 500 !important;
    letter-spacing: 0.06rem !important;
    text-align: center !important;
    color: var(--bs-light) !important;
    margin-bottom: 0 !important;
}

.widget-store-services .service-block:hover .service-title,
.widget-store-services .service-block:focus .service-title {
    opacity: 0.75 !important;
}

@media (min-width: 768px) {
    .widget-store-services {
        max-width: 500px !important;
        margin-top: 0 !important;
        margin-bottom: 0 !important;
        margin-left: -0.625rem !important;
        padding-top: 1.75rem !important;
        padding-bottom: 1.75rem !important;
        padding-left: 1.25rem !important;
        border: 0 !important;
        border-left: 1px solid rgba(255,255,255,0.1) !important;
    }
    .widget-store-services .service-block {
        display: inline-block !important;
        padding-top: 1rem !important;
        padding-bottom: 1rem !important;
    }
    .widget-store-services .service-block .service-title {
        text-align: left !important;
        font-size: var(--bs-h3-size) !important;
    }
}


/* ======================
   Owl Carousel
====================== */

section[data-pagebuilder="section"] .owl-carousel {
    display: block !important;
}

section[data-pagebuilder="section"] .owl-carousel .owl-dots {
    visibility: visible !important;
    display: flex !important;
    justify-content: center !important;
    max-height: 20px !important;
    margin-top: 35px !important;
    opacity: 1 !important;
}

section[data-pagebuilder="section"] .owl-carousel .owl-dots:empty {
    margin-top: 0 !important;
}

section[data-pagebuilder="section"] .owl-carousel .owl-dots .owl-dot span {
    background: rgba(var(--bs-body-color-rgb), 0.4) !important;
    width: 21px !important;
    height: 3px !important;
    display: inline-block !important;
    margin: 0 8px !important;
}

section[data-pagebuilder="section"] .owl-carousel .owl-dots .owl-dot.active span {
    background: var(--bs-dark) !important;
}

section[data-pagebuilder="section"] .owl-carousel .owl-dots .owl-dot:not(.active):hover span,
section[data-pagebuilder="section"] .owl-carousel .owl-dots .owl-dot:not(.active):focus span {
    background: var(--bs-primary) !important;
}

section[data-pagebuilder="section"] .owl-carousel .owl-nav {
    opacity: 1 !important;
}

section[data-pagebuilder="section"] .owl-carousel .owl-nav button {
    background: none !important;
    border: none !important;
    box-shadow: none !important;
}

section[data-pagebuilder="section"] .owl-carousel .owl-nav button.disabled {
    visibility: hidden !important;
    pointer-events: none !important;
}

section[data-pagebuilder="section"] .owl-carousel .owl-nav .owl-prev {
    left: 0px !important;
}

section[data-pagebuilder="section"] .owl-carousel .owl-nav .owl-next {
    right: 0px !important;
}

@media (min-width: 1200px) {
    section[data-pagebuilder="section"] .owl-carousel .owl-nav .owl-prev {
        left: -45px !important;
    }
    section[data-pagebuilder="section"] .owl-carousel .owl-nav .owl-next {
        right: -45px !important;
    }
}

@media (min-width: 1600px) {
    section[data-pagebuilder="section"] .owl-carousel .owl-nav .owl-prev {
        left: -65px !important;
    }
    section[data-pagebuilder="section"] .owl-carousel .owl-nav .owl-next {
        right: -65px !important;
    }
}


/* ======================
   Product Slider
====================== */

section[data-pagebuilder="section"] .widget-product-carousel {
    display: block !important;    
}
section[data-pagebuilder="section"] .product-slider .owl-nav button.disabled {
    opacity: 0 !important;
    pointer-events: none !important;
}
section[data-pagebuilder="section"] .product-slider .btn-wishlist {
    display: none !important;
}
section[data-pagebuilder="section"] .product-slider a.widget-inner {
    border: 0 !important;
}
section[data-pagebuilder="section"] .product-slider .product-title,
section[data-pagebuilder="section"] .product-slider .product-price {
    text-align: center !important;
}


/* ======================
   Social/Blog Slider
====================== */

section[data-pagebuilder="section"] .social-slider .social-description {
    margin-bottom: 0 !important;
}

section[data-pagebuilder="section"] .social-slider .social-heading,
section[data-pagebuilder="section"] .social-slider .social-interactions,
section[data-pagebuilder="section"] .social-slider .social-link {
    display: none !important;
}

@media (max-width: 991px) {
    section[data-pagebuilder="section"] .social-slider .owl-stage-outer {
        overflow: visible !important;
    }
}


/* ======================
   Testimonials Slider   
====================== */

section[data-pagebuilder="section"] .widget-banner [data-pagebuilder="widget"].widget .widget-inner {
    position: absolute !important;
}

section[data-pagebuilder="section"] .widget-testimonials-content {
    margin-bottom: 40px !important;
}

section[data-pagebuilder="section"] .widget-testimonials-content.text-light {
    color: var(--bs-light) !important;
}

section[data-pagebuilder="section"] .widget-testimonials-content.text-light .owl-carousel .owl-dots .owl-dot span {
    background: rgba(var(--bs-light-rgb), 0.4) !important;
}

section[data-pagebuilder="section"] .widget-testimonials-content.text-light .owl-carousel .owl-dots .owl-dot.active span {
    background: var(--bs-light) !important;
}

@media (min-width: 768px) {
    section[data-pagebuilder="section"] .widget-testimonials-content .review-description {
        max-width: 700px !important;
        margin-left: auto !important;
        margin-right: auto !important;
    }
}


/* ======================
   Staff Slider/Grid   
====================== */

section[data-pagebuilder="section"] .staff-member .staff-member-name {
    font-size: var(--bs-h4-size) !important;
    margin-bottom: 0 !important;
}

section[data-pagebuilder="section"] .staff-member .staff-member-title {
    font-family: var(--bs-p-family) !important;
}


/* =================
   Section Tabs
================= */

section[data-pagebuilder="section"] [data-pagebuilder="section-container"] > .nav-tabs {
    border: none !important;
    justify-content: center !important;
    margin-bottom: 20px !important;
}

section[data-pagebuilder="section"] [data-pagebuilder="section-container"] > .nav-tabs .nav-item {
    position: relative !important;
}

section[data-pagebuilder="section"] [data-pagebuilder="section-container"] > .nav-tabs .nav-item .nav-link, 
section[data-pagebuilder="section"] [data-pagebuilder="section-container"] > .nav-tabs .nav-item .nav-link.active {
    background: transparent !important;
    color: var(--bs-p-color) !important;
}

section[data-pagebuilder="section"] [data-pagebuilder="section-container"] > .nav-tabs .nav-item .nav-link {
    border: none !important;
    font-family: var(--bs-h3-family) !important;
    text-transform: uppercase !important;
    font-size: 24px !important;
    font-weight: 700 !important;
    opacity: 0.55 !important;
    transition: opacity 0.2s linear !important;
    position: relative !important;
    display: inline-flex !important;
    padding: 0 !important;
    margin: 0 0 0 1.25rem !important;
    line-height: 1 !important;
}

section[data-pagebuilder="section"] [data-pagebuilder="section-container"] > .nav-tabs .nav-item:first-child .nav-link {
    margin-left: 0 !important;
}

section[data-pagebuilder="section"] [data-pagebuilder="section-container"] > .nav-tabs .nav-item:last-child .nav-link {
    margin-right: 0 !important;
}

section[data-pagebuilder="section"] [data-pagebuilder="section-container"] > .nav-tabs .nav-item .nav-link:before {
    content: '' !important;
    position: absolute !important;
    bottom: 0px !important;
    left: 0px !important;
    height: 2px !important;
    background: var(--bs-p-color) !important;
    width: 0 !important;
    transition: width 0.2s linear !important;
    transform-origin: center !important;
}

section[data-pagebuilder="section"] [data-pagebuilder="section-container"] > .nav-tabs .nav-item .nav-link:hover, 
section[data-pagebuilder="section"] [data-pagebuilder="section-container"] > .nav-tabs .nav-item .nav-link:focus, 
section[data-pagebuilder="section"] [data-pagebuilder="section-container"] > .nav-tabs .nav-item .nav-link.active {
   opacity: 1 !important;
}

section[data-pagebuilder="section"] [data-pagebuilder="section-container"] > .nav-tabs .nav-item .nav-link:hover:before, 
section[data-pagebuilder="section"] [data-pagebuilder="section-container"] > .nav-tabs .nav-item .nav-link:focus:before, 
section[data-pagebuilder="section"] [data-pagebuilder="section-container"] > .nav-tabs .nav-item .nav-link.active:before {
    width: calc(100% - 1px) !important;
}

section[data-pagebuilder="section"] [data-pagebuilder="section-container"] [data-pagebuilder="tab"].tab-pane.active.show {
    overflow: visible !important;
}

section[data-pagebuilder="section"] [data-pagebuilder="section-container"] [data-pagebuilder="tab"].tab-pane .top-corner-button {
    display: none !important;
}

@media (min-width: 768px) {
    section[data-pagebuilder="section"] [data-pagebuilder="section-container"] > .nav-tabs {
        justify-content: flex-start !important; 
    }
    section[data-pagebuilder="section"] [data-pagebuilder="section-container"] [data-pagebuilder="tab"].tab-pane .top-corner-button {
        top: -27px !important;
        right: 5px !important;
        display: inline-flex !important;
    }
    section[data-pagebuilder="section"] [data-pagebuilder="section-container"] [data-pagebuilder="tab"].tab-pane [data-pagebuilder="column"] {
        padding-top: 1.25rem !important;
        padding-bottom: 1.25rem !important;
    }
}


/* ======================
   Top Corner Link
====================== */

section[data-pagebuilder="section"] .top-corner-button {
    display: inline-block;
    position: absolute !important;
    top: 1px;
    right: 0;
    border: none !important;
    font-family: var(--bs-h3-family) !important;
    text-transform: uppercase !important;
    font-size: 16px !important;
    font-weight: 700 !important;
    letter-spacing: 0.05rem !important;
    padding: 0 0 2px 0 !important;
    line-height: 1.05 !important;
    min-height: auto !important;
    height: auto !important;
}


/* ==============================
   Text Overlay Widget (Allows for content flow sizing)
============================== */

[data-widget-element="widgetBgImageSrc"] > .widget-text-overlay {
    position: absolute !important;
}

[data-widget-element="widgetBgImageSrc"] > img.opacity-on.placeholder-shown {
    position: absolute !important;    
    width: 100% !important;
    height: 100% !important;
}

[data-widget-element="widgetBgImageSrc"] > img:not(.opacity-on.placeholder-shown) + .widget-text-overlay,
[data-widget-element="widgetBgImageSrc"] > img:not(.opacity-on.placeholder-shown) + .background-click-area + .widget-text-overlay {
    position: absolute !important;
}